## google-android-build-tools-installer 20.0.0.2

=== for-postinst/Makefile ===

PKG_NAME:=build-tools
PKG_VERSION:=20

PKG_SOURCE:=build-tools_r${PKG_VERSION}-linux.zip
PKG_SOURCE_URL:=https://dl-ssl.google.com/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-android-build-tools-installer
UNPACK_DIR=$(DL_DIR)/android-4.4W
DOC_DIR=/usr/share/doc/google-android-build-tools

all: $(DL_DIR)/$(UNPACK_DIR)/aapt
	sed -i 's,^libdir=.*,libdir=/usr/share/java,' $(UNPACK_DIR)/dx

install: all
	install -d -m0755 /usr/share/java
	install -m0644 $(UNPACK_DIR)/lib/dx.jar /usr/share/java/
	install -d -m0755 /usr/bin
	install -m0755 \
		$(UNPACK_DIR)/bcc_compat \
		$(UNPACK_DIR)/arm-linux-androideabi-ld \
		$(UNPACK_DIR)/aapt \
		$(UNPACK_DIR)/aidl \
		$(UNPACK_DIR)/dexdump \
		$(UNPACK_DIR)/dx \
		$(UNPACK_DIR)/i686-linux-android-ld \
		$(UNPACK_DIR)/llvm-rs-cc \
		$(UNPACK_DIR)/mipsel-linux-android-ld \
		$(UNPACK_DIR)/zipalign \
		/usr/bin/
	install -d -m0755 /usr/lib/
	for f in libLLVM.so libbcinfo.so libbcc.so libclang.so; do \
		test -e /usr/bin/$$f || install -m0644 $(UNPACK_DIR)/$$f /usr/lib/; done
	install -d -m0755 $(DOC_DIR)
	gzip -9 --stdout $(UNPACK_DIR)/NOTICE.txt > $(DOC_DIR)/copyright.gz
	install -m0644 $(UNPACK_DIR)/source.properties $(DOC_DIR)/
	for f in \
		$(DOC_DIR) \
		$(DOC_DIR)/copyright.gz \
		$(DOC_DIR)/source.properties \
		/usr/bin \
		/usr/bin/bcc_compat \
		/usr/bin/arm-linux-androideabi-ld \
		/usr/bin/aapt \
		/usr/bin/aidl \
		/usr/bin/dexdump \
		/usr/bin/dx \
		/usr/bin/i686-linux-android-ld \
		/usr/bin/llvm-rs-cc \
		/usr/bin/mipsel-linux-android-ld \
		/usr/bin/zipalign \
		/usr/lib \
		/usr/lib/libLLVM.so \
		/usr/lib/libbcinfo.so \
		/usr/lib/libbcc.so \
		/usr/lib/libclang.so \
		/usr/share/java \
		/usr/share/java/dx.jar; do echo $$f; done \
	 >> /var/lib/dpkg/info/google-android-build-tools-installer.list

$(DL_DIR)/$(UNPACK_DIR)/aapt: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE): $(DL_DIR)
	cd $(DL_DIR) && \
		wget --continue $(PKG_SOURCE_URL)
	md5sum -c $(PKG_SOURCE).md5
	sha1sum -c $(PKG_SOURCE).sha1
	sha256sum -c $(PKG_SOURCE).sha256

$(DL_DIR):
	mkdir $(DL_DIR)

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-build-tools-installer (20.0.0.2) unstable; urgency=medium

  [Reiner Herrmann]
  * added unzip and ca-certificates to Depends (Closes: #770597)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 26 Nov 2014 13:55:29 +0100

google-android-build-tools-installer (20.0.0.1) unstable; urgency=low

  * add Conflicts: for non-Android packages, and Replaces: for Android ones
  * let dpkg handle the uninstall process
  * config to use "Multi-Arch: foreign" to handle installing on amd64

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 18 Sep 2014 14:30:27 -0400

google-android-build-tools-installer (20.0.0.0) unstable; urgency=low

  * First release (Closes: #754210)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 07 Jul 2014 21:36:40 -0400

=== debian/control ===
Source: google-android-build-tools-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.6
Homepage: https://developer.android.com/sdk/index.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-build-tools-installer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=android-tools/google-android-build-tools-installer.git

Package: google-android-build-tools-installer
Multi-Arch: foreign
Architecture: i386
Depends: wget,
         make | build-essential | dpkg-dev,
         zlib1g,
         libstdc++6,
         unzip,
         ca-certificates,
         ${misc:Depends},
Conflicts: aapt, zipalign, libclang-dev, dx
Replaces: aapt, zipalign
Provides: aapt, zipalign
Description: Google build tools for Android (aapt, aidl, dexdump, dx)
 This package will download the binary Google Android build tools and create a
 Debian package.  The build tools are used in the process of assembling the
 java code into the APK package.  They can also be useful for inspecting APKs.
 .
 WARNING: Installing this Debian package causes build-tools_r20-linux.zip to
 be downloaded from dl-ssl.google.com. The End User License Agreement of this
 binary package is available at developer.android.com.

## google-android-build-tools-installer 23.0.2.1

=== for-postinst/Makefile ===

PKG_NAME:=build-tools
PKG_VERSION:=23.0.2

PKG_SOURCE:=build-tools_r${PKG_VERSION}-linux.zip
PKG_SOURCE_URL:=https://dl.google.com/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-android-build-tools-installer
UNPACK_DIR=$(DL_DIR)/android-6.0
DOC_DIR=/usr/share/doc/google-android-build-tools

all: $(DL_DIR)/$(UNPACK_DIR)/aapt
	sed -i 's,^libdir=.*,libdir=/usr/share/java,' $(UNPACK_DIR)/dx

install: all
	install -d -m0755 /usr/share/java
	install -m0644 $(UNPACK_DIR)/lib/dx.jar /usr/share/java/
	install -d -m0755 /usr/bin
	install -m0755 \
		$(UNPACK_DIR)/aapt \
		$(UNPACK_DIR)/aidl \
		$(UNPACK_DIR)/arm-linux-androideabi-ld \
		$(UNPACK_DIR)/bcc_compat \
		$(UNPACK_DIR)/dexdump \
		$(UNPACK_DIR)/dx \
		$(UNPACK_DIR)/i686-linux-android-ld \
		$(UNPACK_DIR)/llvm-rs-cc \
		$(UNPACK_DIR)/mipsel-linux-android-ld \
		$(UNPACK_DIR)/split-select \
		$(UNPACK_DIR)/zipalign \
		/usr/bin/
	install -d -m0755 /usr/lib/
	for f in lib/libLLVM.so lib/libbcinfo.so lib/libbcc.so lib/libclang.so; do \
		test -e /usr/lib/$$f || install -m0644 $(UNPACK_DIR)/$$f /usr/lib/; done
	install -d -m0755 $(DOC_DIR)
	gzip -9 --stdout $(UNPACK_DIR)/NOTICE.txt > $(DOC_DIR)/copyright.gz
	install -m0644 $(UNPACK_DIR)/source.properties $(DOC_DIR)/
	for f in \
		$(DOC_DIR) \
		$(DOC_DIR)/copyright.gz \
		$(DOC_DIR)/source.properties \
		/usr/bin \
		/usr/bin/aapt \
		/usr/bin/aidl \
		/usr/bin/arm-linux-androideabi-ld \
		/usr/bin/bcc_compat \
		/usr/bin/dexdump \
		/usr/bin/dx \
		/usr/bin/i686-linux-android-ld \
		/usr/bin/llvm-rs-cc \
		/usr/bin/mipsel-linux-android-ld \
		/usr/bin/split-select \
		/usr/bin/zipalign \
		/usr/lib \
		/usr/lib/libbcc.so \
		/usr/lib/libbcinfo.so \
		/usr/lib/libclang.so \
		/usr/lib/libLLVM.so \
		/usr/share/java \
		/usr/share/java/dx.jar; do echo $$f; done \
	 >> /var/lib/dpkg/info/google-android-build-tools-installer.list

$(DL_DIR)/$(UNPACK_DIR)/aapt: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE): $(DL_DIR)
	cd $(DL_DIR) && \
		wget --continue $(PKG_SOURCE_URL)
	sha1sum -c $(PKG_SOURCE).sha1

$(DL_DIR):
	mkdir $(DL_DIR)

clean:
	-rm -rf -- $(UNPACK_DIR)

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-build-tools-installer (23.0.2.1) unstable; urgency=medium

  [ Remi Vanicat ]
  * fix configuration script fail (Closes: #808446)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 08 Feb 2016 10:56:14 +0100

google-android-build-tools-installer (23.0.2.0) unstable; urgency=medium

  * update to latest upstream binary

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 04 Dec 2015 20:24:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://developer.android.com/sdk/index.html
 Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-build-tools-installer.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=android-tools/google-android-build-tools-installer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-build-tools-installer.git
 
 Package: google-android-build-tools-installer
 Multi-Arch: foreign

## google-android-build-tools-installer 23.0.3

=== for-postinst/Makefile ===
--- 
+++ 
@@ -1,9 +1,8 @@
-
 PKG_NAME:=build-tools
-PKG_VERSION:=23.0.2
+PKG_VERSION:=23.0.3
 
 PKG_SOURCE:=build-tools_r${PKG_VERSION}-linux.zip
-PKG_SOURCE_URL:=https://dl.google.com/android/repository/${PKG_SOURCE}
+PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}
 
 DL_DIR=/var/cache/google-android-build-tools-installer
 UNPACK_DIR=$(DL_DIR)/android-6.0
@@ -65,7 +64,7 @@
 
 $(DL_DIR)/$(PKG_SOURCE): $(DL_DIR)
 	cd $(DL_DIR) && \
-		wget --continue $(PKG_SOURCE_URL)
+		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL)"
 	sha1sum -c $(PKG_SOURCE).sha1
 
 $(DL_DIR):

=== debian/changelog ===
google-android-build-tools-installer (23.0.3) unstable; urgency=medium

  * Add mirrors choosing feature with debconf shared template
  * Description update
  * update to latest upstream binary
  * d/compat: update compat version to 9
  * d/control: update build-depends debhelper to >= 9
  * d/*.lintian-overrides: remove unused lintian override and update it
  * Add Indonesian, Portuguese and German PO translation files

 -- Mouaad Aallam <Mouaad@Aallam.com>  Thu, 07 Jul 2016 15:26:33 +0000

=== debian/control ===
Source: google-android-build-tools-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://developer.android.com/sdk/index.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-build-tools-installer.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-build-tools-installer.git

Package: google-android-build-tools-installer
Multi-Arch: foreign
Architecture: i386
Depends: wget,
         make | build-essential | dpkg-dev,
         zlib1g,
         libstdc++6,
         unzip,
         ca-certificates,
         debconf,
         po-debconf,
         ${misc:Depends},
Conflicts: aapt, zipalign, libclang-dev, dx
Replaces: aapt, zipalign
Provides: aapt, zipalign
Description: Google build tools for Android (aapt, aidl, dexdump, dx)
 This package will download the binary Google Android build tools and create a
 Debian package.  The build tools are used in the process of assembling the
 java code into the APK package.  They can also be useful for inspecting APKs.
 .
 WARNING: Installing this Debian package causes build-tools_r23.0.3-linux.zip to
 be downloaded from dl.google.com and/or from other suggested mirrors. The End
 User License Agreement of this binary package is available at
 developer.android.com.

## google-android-build-tools-installer 23.0.3+r1

=== debian/changelog ===
google-android-build-tools-installer (23.0.3+r1) unstable; urgency=medium

  * Team upload.
  * Bump up verion by using +r1 as suffix, since there's already +b1
    in archive (Closes: #960604).
  * Add debian/.gitlab-ci.yml

 -- Roger Shimizu <rosh@debian.org>  Thu, 14 May 2020 23:20:00 +0900

google-android-build-tools-installer (23.0.3+1) unstable; urgency=medium

  [ Mouaad Aallam ]
  * Add Czech PO translation file
  * Add Dutch PO translation file (Closes: #864678, #915433)
  * Add French PO translation file (Closes: #852807)

  [ Roger Shimizu ]
  * Add Swedish PO translation file (Closes: #851859, #862761)
  * Add Danish PO translation file (Closes: #856778)
  * Add Russian PO translation file (Closes: #883400)
  * debian/control:
    - Move Vcs-* to salsa.
    - Add Rules-Requires-Root: no
    - Add Architecture: amd64

 -- Roger Shimizu <rosh@debian.org>  Wed, 13 May 2020 01:42:50 +0900

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
            Mouaad Aallam <Mouaad@Aallam.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.8
+Rules-Requires-Root: no
 Homepage: https://developer.android.com/sdk/index.html
-Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-build-tools-installer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-build-tools-installer.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-build-tools-installer.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-build-tools-installer
 
 Package: google-android-build-tools-installer
 Multi-Arch: foreign
-Architecture: i386
+Architecture: amd64 i386
 Depends: wget,
          make | build-essential | dpkg-dev,
          zlib1g,
